Last Comment Bug 368401 - Installer does not delete myspell directory
: Installer does not delete myspell directory
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Andrew Schultz
: installer
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-27 01:45 PST by Oliver Kluge
Modified: 2007-02-14 08:50 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
delete myspell (2.90 KB, patch)
2007-01-27 08:30 PST, Andrew Schultz
neil: review+
csthomas: approval‑seamonkey1.1.1+
Details | Diff | Splinter Review

Description Oliver Kluge 2007-01-27 01:45:20 PST
User-Agent:       Mozilla/5.0 (OS/2; U; Warp 4.5; en-US; rv:1.8.1.2pre) Gecko/20070118 SeaMonkey/1.1
Build Identifier: Mozilla/5.0 (OS/2; U; Warp 4.5; en-US; rv:1.8.1.2pre) Gecko/20070118 SeaMonkey/1.1

When migrating from Seamonkey 1.07 to 1.1 using the installer, the myspell directory does not get deleted.

Reproducible: Always

Steps to Reproduce:
1. Upgrade from SM 1.07 to 1.1
2. Look into [install dir]\components\myspell

Actual Results:  
Directory and content exists

Expected Results:  
Should IMHO have been deleted (a clean install of SM 1.1. does not create a myspell directory).

Maybe some contents can or shall be retained, e.g. personal spelling preferences and additions.

This possibly exists on other platforms as well, I just haven't had the time to check on Linux or Windows.
Comment 1 Peter Weilbacher 2007-01-27 07:47:32 PST
Probably similar to what we just did in bug 367657 some deleteThisFolder() / deleteThisFile() lines have to be added to browser.jst. Or would we have to move the existing files from components/myspell/ to dictionaries/ before removing the old directory, in case the user wants to keep what is there?

I can confirm the problem on OS/2, but not sure if this is specific to OS/2, either. CCing some people who might know from the work in bug 350688.
Comment 2 Andrew Schultz 2007-01-27 08:30:08 PST
Created attachment 253018 [details] [diff] [review]
delete myspell

there is no move, although it could be added.  Current methods are implemented in http://mxr.mozilla.org/seamonkey/source/xpinstall/packager/common/share.t

This deletes myspell on windows & OS/2 and also rearranges OS/2 a bit in an attempt at coherency.  Unix's browser.jst is woefully out of date and irrelevant anyway (the installer nukes the old directory before installing), so I feel unmotivated to "maintain" that list.
Comment 3 neil@parkwaycc.co.uk 2007-01-27 12:24:23 PST
Comment on attachment 253018 [details] [diff] [review]
delete myspell

sr=me
Comment 4 Andrew Schultz 2007-01-27 12:47:27 PST
Comment on attachment 253018 [details] [diff] [review]
delete myspell

(landed on trunk)
needed on the branch too
Comment 5 Robert Kaiser 2007-01-27 16:29:11 PST
Comment on attachment 253018 [details] [diff] [review]
delete myspell

first-a=me for 1.1.1, still one needed to go
Comment 6 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-13 15:46:40 PST
Comment on attachment 253018 [details] [diff] [review]
delete myspell

a=me for sm1.1.1

Note You need to log in before you can comment on or make changes to this bug.